
#include "zabex.h"
#include "config.h"
//----------------------------------------------------------------------------

unsigned long strom_dauer; //Anzahl TICs der letzten Umdrehung
unsigned long stromtic;    //Anzahl TICs der laufenden Umdrehung
char strom_markierung;     //Setzen bei steigender Flanke. Dann werden die TIC-Werte umkopiert.

//Variablenarry mit AD-Wandler Messergebnissen
char adc_array[3];

TZaehlerstaende Basis;     //Absoluter Zhlerstand (extern gesetzt beim Einschalten)
TZaehlerstaende jetzt;     //Die relativen Zaehlerstande (seit Einschalten)
//TZaehlerstaende ZaehlerstandMonate[12];  //Zhlerstnde am 1.
TZaehlerstaende ZaehlerstandTage[SPEICHERTIEFE_TAGE];  //Zhlerstnde um Mitternacht [0]=heute morgen [1]=gestern [2]=vorgestern...
TVerbrauch verbrauch[SPEICHERTIEFE_VERBRAUCH];  //Verbrauch je Viertelstunde ber die letzten 24h
 
unsigned int watt_momentan; //gerade gemessener Verbrauch

unsigned int tageSeitEinschalten;
unsigned char tag;    
unsigned char viertelstunde;
unsigned char viertelstunde_neu;
unsigned long besucherCounter;

unsigned char gas_h;
unsigned char gas_l;

unsigned char wasser_l;
unsigned char wasser_h;

unsigned char strom_l;
unsigned char strom_h;

//Messwertstatistik
unsigned char pegelMaxGas;
unsigned char pegelMinGas;
unsigned char pegelMaxWasser;
unsigned char pegelMinWasser;
unsigned char pegelMaxStrom;
unsigned char pegelMinStrom;
//unsigned int sampleCount;
//unsigned int samplesProSekunde;
unsigned int sekundenSeitStromflanke;
unsigned long GETwerte[10]; //Durch GET-Request vernderbare Werte


void initHistorie(void){ 
    int i;
    for (i=0; i<SPEICHERTIEFE_VERBRAUCH; i++){
      verbrauch[i].Gas=0;
      verbrauch[i].Wasser=0;
      verbrauch[i].Strom=0;
    }
    for (i=0; i<SPEICHERTIEFE_TAGE; i++){
        ZaehlerstandTage[i].Zaehlerstand_Gas=0L;
        ZaehlerstandTage[i].Zaehlerstand_Wasser=0L;
        ZaehlerstandTage[i].Zaehlerstand_Strom=0L;
    }
}

void resetMinMax(void){  
   pegelMaxGas=0;
   pegelMinGas=255;
   pegelMaxWasser=0;
   pegelMinWasser=255;
   pegelMaxStrom=0;
   pegelMinStrom=255;
}

void schwellenSetzen(void){  
unsigned char d;
  d=(pegelMaxGas - pegelMinGas)/5;
  gas_h = pegelMaxGas - d;	
  gas_l = pegelMinGas + d;	
  
  d=(pegelMaxWasser - pegelMinWasser)/5;
  wasser_h = pegelMaxWasser - d;	
  wasser_l = pegelMinWasser + d;	
  
  d=(pegelMaxStrom - pegelMinStrom);
  strom_h = pegelMaxStrom - d;	
  strom_l = pegelMinStrom + d;	
}  


