/*-----------------------------------------------------------------------------*/
#ifndef _ZABEX_H
	#define _ZABEX_H
  
    typedef struct {
    unsigned long Zaehlerstand_Gas;
    unsigned long Zaehlerstand_Wasser;
    unsigned long Zaehlerstand_Strom;
  } TZaehlerstaende;
  
  typedef struct {
    unsigned char Gas;
    unsigned char Wasser;
    unsigned char Strom;    //bis 13KW 
    unsigned int kuerzesteUmlaufzeitStrom;  
  } TVerbrauch;
  
  extern TZaehlerstaende Basis;     //Absoluter Zhlerstand (extern gesetzt beim Einschalten)
  extern TZaehlerstaende jetzt;     //Die relativen Zaehlerstande (Numm nach dem Einschalten)
  extern unsigned long strom_dauer; //Anzahl TICs der letzten Umdrehung
  extern unsigned long stromtic;    //Anzahl TICs der laufenden Umdrehung
  extern char strom_markierung;     //Setzen bei steigender Flanke. Dann werden die TIC-Werte umkopiert.
  extern char adc_array[];
  extern unsigned int watt_momentan; //gerade gemessener Verbrauch
  extern unsigned char viertelstunde;
  extern unsigned char viertelstunde_neu;
  extern unsigned long besucherCounter;
  
  extern TZaehlerstaende ZaehlerstandTage[];  //Zhlerstnde um Mitternacht [0]=heute morgen [1]=gestern [2]=vorgestern...
  extern TVerbrauch verbrauch[];  //Verbrauch je Viertelstunde ber die letzten 24h
  extern unsigned int tageSeitEinschalten;
  extern  unsigned char tag;    

  extern unsigned int sekundenSeitStromflanke;
  
  extern unsigned char gas_h;
  extern unsigned char gas_l;

  extern unsigned char wasser_l;
  extern unsigned char wasser_h;

  extern unsigned char strom_l;
  extern unsigned char strom_h;
  
  //Messwertstatistik
  extern unsigned char pegelMaxGas;
  extern unsigned char pegelMinGas;
  extern unsigned char pegelMaxWasser;
  extern unsigned char pegelMinWasser;
  extern unsigned char pegelMaxStrom;
  extern unsigned char pegelMinStrom;

  
  extern void resetMinMax(void);
  extern void schwellenSetzen(void);
  void initHistorie(void);

  extern unsigned long GETwerte[]; //Durch GET-Request vernderbare Werte

#endif  
